Description

While designing a symbol (marker, line or fill), according to the symbol layer type chosen, in its properties:
- "Rotation" is used in some cases while it's "Angle" in others
- same thing for "Border" vs "Outline"
It could be nice to use unique terms for all the dialogs

History

#1 - 2016-01-02 01:17 PM - Nyall Dawson
- Status changed from Open to Feedback

Which version does this apply to? Can you give specifics?

#2 - 2016-01-02 05:37 PM - Harrissou Santanna

Hi Nyall,

I'm on 2.12.0 Trusty Tahr but didn't find anything different when (quickly) check these dialogs in master.

In the symbol selector dialog:

For a Marker Symbol: You have "Rotation” when the symbol layer type is Ellipse marker, Font marker while "Angle" is used for SVG Marker and simple
marker

For a Fill Symbol : You have "Rotation" when the symbol layer type is Raster Image Fill, SVG Fill while "Angle" is used for Line Pattern Fill, Gradient Fill

Border is afaics consistently used for Fill symbol. So is Outline for Markers. However | wonder if we're not somehow talking about the same thing. Let's take

for example the SVG Fill : the border is what is called outline for SVG Marker but it's just same thing.

#3 - 2016-01-04 01:12 PM - Jiirgen Fischer
- Subject changed from Symbol selector dialog: use identique terms in the different properties of symbol layer to Symbol selector dialog: use same terms
in the different properties of symbol layer

#4 - 2016-02-08 03:14 PM - Harrissou Santanna
So, is this a valid issue? Which terms should be kept:
Rotation vs Angle ?

Border vs Outline ?

According to what's decided, i can propose a PR if no one has time.

#5 - 2016-04-10 10:19 AM - Harrissou Santanna
- Pull Request or Patch supplied changed from No to Yes
Propose a fix at https:/github.com/qgis/QGIS/pull/2990

#6 - 2016-05-26 07:51 AM - Harrissou Santanna
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

fixed/implemented in commit:7cb77d8cfd0888b380c94bba14ed037a05879cd8

2025-04-27

22


https://github.com/qgis/QGIS/pull/2990

